#!/usr/bin/csh

setenv db ixdemo
echo database name: $db

dbaccess $db - <<END

drop table abteilung;
create table abteilung
(
	abtnr		int,
	name		varchar(20),
	primary key (abtnr)
);

drop table angestellter;
create table angestellter 
(
	angnr		int,
	name		varchar(20),
	vorname		varchar(20),
	funktion	varchar(20),
	telefon		varchar(10),
	abtnr		int,
	foreign key (abtnr) references abteilung,
	primary key (angnr)
);

END

dbaccess $db - <<!

load from "abteilung.unl" insert into abteilung;
load from "angestellter.unl" insert into angestellter;

grant resource to public;

!

